@mq_xxxs: ~"(max-width:@{width_xxxs_below})";
@mq_xxxs_: ~"(min-width:@{width_xxxs})";
@mq_xxxs_xxs: ~"(min-width:@{width_xxxs}) and (max-width:(@{width_xxs_below}))";

@mq_xxs: ~"(max-width:@{width_xxs_below})";
@mq_xxs_: ~"(min-width:@{width_xxs})";
@mq_xxs_xs: ~"(min-width:@{width_xxs}) and (max-width:@{width_xs_below})";

@mq_xs: ~"(max-width:@{width_xs_below})";
@mq_xs_: ~"(min-width:@{width_xs})";
@mq_xs_s: ~"(min-width:@{width_xs}) and (max-width:@{width_s_below})";

@mq_s: ~"(max-width:@{width_s_below})";
@mq_s_: ~"(min-width:@{width_s})";
@mq_s_m: ~"(min-width:@{width_s}) and (max-width:@{width_m_below})";

@mq_m: ~"(max-width:@{width_m_below})";
@mq_m_: ~"(min-width:@{width_m})";
@mq_m_l: ~"(min-width:@{width_m}) and (max-width:@{width_l_below})";

@mq_l: ~"(max-width:@{width_l_below})";
@mq_l_: ~"(min-width:@{width_l})";
@mq_l_xl: ~"(min-width:@{width_l}) and (max-width:@{width_xl_below})";

@mq_xl: ~"(max-width:@{width_xl_below})";
@mq_xl_: ~"(min-width:@{width_xl})";
@mq_xl_xxl: ~"(min-width:@{width_xl}) and (max-width:@{width_xxl_below})";

@mq_xxl: ~"(max-width:@{width_xxl_below})"; //1919
@mq_xxl_: ~"(min-width:@{width_xxl})"; //1920
@mq_xxl_xxxl: ~"(min-width:@{width_xxl}) and (max-width:@{width_xxxl_below})";

@mq_xxxl: ~"(max-width:@{width_xxxl_below})";
@mq_xxxl_: ~"(min-width:@{width_xxxl})";

@mq_pt: ~"(orientation: portrait)";
@mq_ls: ~"(orientation: landscape)";

@mq_phone: @mq_xs;
@mq_phone_: @mq_xs_;
@mq_phone_tablet: @mq_xs_ and @mq_m;

@mq_tablet: @mq_m;
@mq_tablet_: @mq_m_;
@mq_tablet_screen: @mq_m_l;

@mq_screen: @mq_l;
@mq_screen_: @mq_l_;
@mq_screen_wide: @mq_l_xl;

@mq_wide: @mq_xl;
@mq_wide_: @mq_xl_;
@mq_wide_hd: @mq_xl_xxl;

@mq_hd: @mq_xxl;
@mq_hd_: @mq_xxl_;

@mq_ie: ~"screen and (-ms-high-contrast: active), (-ms-high-contrast: none)";

@mq_print: ~"print";
